{
  "schema_version": "1.4.0",
  "id": "GHSA-qw72-xqg4-c435",
  "modified": "2022-05-13T01:06:54Z",
  "published": "2022-05-13T01:06:54Z",
  "aliases": [
    "CVE-2017-16875"
  ],
  "details": "An issue was discovered in Teluu pjproject (pjlib and pjlib-util) in PJSIP before 2.7.1. The ioqueue component may issue a double key unregistration after an attacker initiates a socket connection with specific settings and sequences. Such double key unregistration will trigger an integer overflow, which may cause ioqueue backends to reject future key registrations.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2017-16875"
    },
    {
      "type": "WEB",
      "url": "https://trac.pjsip.org/repos/milestone/release-2.7.1"
    },
    {
      "type": "WEB",
      "url": "https://trac.pjsip.org/repos/ticket/2055"
    },
    {
      "type": "WEB",
      "url": "https://www.debian.org/security/2018/dsa-4170"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2017-11-17T16:29:00Z"
  }
}